package org.jeecg.modules.okki.site.entity;

/**
 * @author Chen
 */
public enum FeiShuConfigEnum {
    PROD("cli_a61c977059f01013", "saNlFj2YdMXZ0uEAucyRodfSEp5ZHikR", "X16RbjCVCasCmds7fn0c0k21nju", "tblSkc8HfEYDL99U", "tblr6rTYtEbLHmAg", "tbl9ykcEZBqZt1vj", "vewiMyOeed"),
    DEV("cli_a61c977059f01013", "saNlFj2YdMXZ0uEAucyRodfSEp5ZHikR", "J7vLb3DSzawXUEsJclic42KZnle", "tbllKsGJnErNNQiv", "tblfgKMLQAzcn7CP", "tblrtDtH1SiWUJiX", "vewiMyOeed");

    private final String appId;
    private final String appSecret;
    private final String appToken;
    private final String kfTableId;

    // PM分组
    private final String projectTeamTableId;
    private final String seoTeamTableId;
    private final String kfTableSummaryViewId;

    FeiShuConfigEnum(String appId, String appSecret, String appToken, String kfTableId, String projectTeamTableId, String seoTeamTableId, String kfTableSummaryViewId) {
        this.appId = appId;
        this.appSecret = appSecret;
        this.appToken = appToken;
        this.kfTableId = kfTableId;
        this.projectTeamTableId = projectTeamTableId;
        this.seoTeamTableId = seoTeamTableId;
        this.kfTableSummaryViewId = kfTableSummaryViewId;
    }

    public String getAppId() {
        return appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public String getAppToken() {
        return appToken;
    }

    public String getKfTableId() {
        return kfTableId;
    }

    public String getProjectTeamTableId() {
        return projectTeamTableId;
    }

    public String getSeoTeamTableId() {
        return seoTeamTableId;
    }

    public String getKfTableSummaryViewId() {
        return kfTableSummaryViewId;
    }

}
